Upgrade Apache Tomcat (Linux)

Apache Tomcat is a mandatory component required to run the ESET PROTECT Web Console.

Before upgrading Apache Tomcat

1.Execute the following command to see the installed version of Apache Tomcat (in some cases, the folder name is tomcat7 or tomcat8):

cd /usr/share/tomcat/bin && ./version.sh

 

2.If a newer version is available:

a.Ensure that the newer version is supported.

b.Back up the Tomcat configuration file /etc/tomcat7/server.xml.

How to upgrade

1.Run the following command to stop the Apache Tomcat service (in some cases, the service name is tomcat7):

service tomcat stop

 

2.Upgrade Apache Tomcat and Java. Example package names below may differ from packages available in your Linux distribution repository.

Linux distribution

Terminal commands

Debian and Ubuntu distributions

sudo apt-get update
sudo apt-get install openjdk-11-jdk tomcat9

CentOS, Red Hat and Fedora distributions

yum update
yum install java-1.8.0-openjdk tomcat

OpenSUSE

zypper refresh
zypper install java-1_8_0-openjdk tomcat

3.Replace the /etc/tomcat9/server.xml file with the server.xml file from your backup.

4.Open the server.xml file and make sure the keystoreFile path is correct.

5.Make sure the HTTPS connection for Apache Tomcat is configured correctly.

See also the additional Web Console configuration for enterprise solutions or low-performance systems.

important

Important

After upgrading Apache Tomcat to a later major version (for example Apache Tomcat version 7.x to 9.x):

1.Deploy ESET PROTECT Web Console again (see ESET PROTECT Web Console installation - Linux)

2.Reuse %TOMCAT_HOME%/webapps/era/WEB-INF/classes/sk/eset/era/g2webconsole/server/modules/config/EraWebServerConfig.properties to preserve any custom settings in ESET PROTECT Web Console.

The Web Console and Apache Tomcat upgrade clears the Offline help files. If you used Offline help with ERA/ESMC or an older ESET PROTECT version, re-create it for ESET PROTECT 8.1 after upgrading to ensure that you have the latest Offline help matching your ESET PROTECT version.